
GammaLib - Bug #1432

GCTAPsfKing has undefined behavior when psf parameters are 0.0

03/03/2015 01:18 PM - Kelley-Hoskins Nathan

Status: Closed Start date: 03/03/2015

Priority: Normal Due date:  

Assigned To: Kelley-Hoskins Nathan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

In GCTAPsfKing, if the read-in gamma/sigma parameters are 0, due to either low statistics or bad fitting, then update() or operator()

may attempt to divide by zero.

History

#1 - 03/03/2015 02:13 PM - Kelley-Hoskins Nathan

- Status changed from New to Pull request

- % Done changed from 0 to 100

In branch 1432-fix_psf_king_zero_params, added a check for if the king parameters gamma and sigma are zero.  If they are, give a warning

message, and set the normalization to zero.

#2 - 03/09/2015 01:07 PM - Mayer Michael

Jürgen, could you merge that in?

#3 - 03/09/2015 01:56 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.0.0

Merged into devel.
